org.openrdf.http.server
Class ProtocolUtil
java.lang.Object
org.openrdf.http.server.ProtocolUtil
public class ProtocolUtil
- extends Object
Utilities to help with the transition between HTTP requests/responses and
values expected by the protocol.
- Author:
- Herko ter Horst, Arjohn Kampman
|
Method Summary |
static
|
getAcceptableService(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response,
info.aduna.lang.service.FileFormatServiceRegistry<FF,S> serviceRegistry)
|
static void |
logAcceptableFormats(javax.servlet.http.HttpServletRequest request)
|
static void |
logRequestParameters(javax.servlet.http.HttpServletRequest request)
Logs all request parameters of the supplied request. |
static boolean |
parseBooleanParam(javax.servlet.http.HttpServletRequest request,
String paramName,
boolean defaultValue)
|
static Resource[] |
parseContextParam(javax.servlet.http.HttpServletRequest request,
String paramName,
ValueFactory vf)
|
static Resource |
parseResourceParam(javax.servlet.http.HttpServletRequest request,
String paramName,
ValueFactory vf)
|
static URI |
parseURIParam(javax.servlet.http.HttpServletRequest request,
String paramName,
ValueFactory vf)
|
static Value |
parseValueParam(javax.servlet.http.HttpServletRequest request,
String paramName,
ValueFactory vf)
|
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
ProtocolUtil
public ProtocolUtil()
parseValueParam
public static Value parseValueParam(javax.servlet.http.HttpServletRequest request,
String paramName,
ValueFactory vf)
throws ClientHTTPException
- Throws:
ClientHTTPException
parseResourceParam
public static Resource parseResourceParam(javax.servlet.http.HttpServletRequest request,
String paramName,
ValueFactory vf)
throws ClientHTTPException
- Throws:
ClientHTTPException
parseURIParam
public static URI parseURIParam(javax.servlet.http.HttpServletRequest request,
String paramName,
ValueFactory vf)
throws ClientHTTPException
- Throws:
ClientHTTPException
parseContextParam
public static Resource[] parseContextParam(javax.servlet.http.HttpServletRequest request,
String paramName,
ValueFactory vf)
throws ClientHTTPException
- Throws:
ClientHTTPException
parseBooleanParam
public static boolean parseBooleanParam(javax.servlet.http.HttpServletRequest request,
String paramName,
boolean defaultValue)
logRequestParameters
public static void logRequestParameters(javax.servlet.http.HttpServletRequest request)
- Logs all request parameters of the supplied request.
getAcceptableService
public static <FF extends FileFormat,S> S getAcceptableService(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response,
info.aduna.lang.service.FileFormatServiceRegistry<FF,S> serviceRegistry)
throws ClientHTTPException
- Throws:
ClientHTTPException
logAcceptableFormats
public static void logAcceptableFormats(javax.servlet.http.HttpServletRequest request)
Copyright © 2001-2007 Aduna. All Rights Reserved.